Bug 194015 - yumex 1.0.0 TB4426d5a1 ConfigParser.py:490:_read:ParsingError: File contains parsing errors:
yumex 1.0.0 TB4426d5a1 ConfigParser.py:490:_read:ParsingError: File contains ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-04 18:25 EDT by Ronnie Sarkari
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 04:28:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronnie Sarkari 2006-06-04 18:25:44 EDT
Component: yumex
Version: 1.0.0
Summary: TB4426d5a1 ConfigParser.py:490:_read:ParsingError: File contains parsing errors: /etc/yumex.profiles.conf
	[line  6]: '[]\n'

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 948, in ?
    mainApp = YumexMainApplication()
  File "/usr/share/yumex/yumexmain.py", line 453, in __init__
    self.profile = Profile()
  File "/usr/lib/python2.4/site-packages/yumex/yumexUtils.py", line 1090, in __init__
    self.profiles.read( self.filename )
  File "/usr/lib/python2.4/ConfigParser.py", line 267, in read
    self._read(fp, filename)
  File "/usr/lib/python2.4/ConfigParser.py", line 490, in _read
    raise e
ParsingError: File contains parsing errors: /etc/yumex.profiles.conf
	[line  6]: '[]\n'

Local variables in innermost frame:
sectname: main
cursect: {'__name__': 'main', 'lastprofile': 'yum-enabled'}
e: File contains parsing errors: /etc/yumex.profiles.conf
	[line  6]: '[]\n'
fpname: /etc/yumex.profiles.conf
vi: =
mo: <_sre.SRE_Match object at 0xb7986750>
optname: lastprofile
fp: <open file '/etc/yumex.profiles.conf', mode 'r' at 0xb797c578>
lineno: 10
line: 
self: <ConfigParser.ConfigParser instance at 0xb798b3ec>
optval: yum-enabled
Comment 1 Jason Tibbitts 2006-06-04 21:58:28 EDT
I'm not sure why this was filed under Package Review; unblocking FE-NEW, setting
the component to "yumex" and CC'ing the package owner.

Ronnie, I'm curious: did you submit this bug via the Fedora Extras Package
Review Request form?  Is there some document or URL that led you to that form as
the proper method for submitting a bug?
Comment 2 Dawid Zamirski 2006-06-05 09:56:48 EDT
Please attach your /etc/yumex.conf file as it probably contains errors. In the
meantime do the following:

su
<your_root_password>
mv /etc/yumex.conf /etc/yumex.conf.bak

This will backup you current yumex configuration file. Then try to launch yumex
again and check if it still throws this error. 
Comment 3 Thorsten Leemhuis 2006-08-10 03:31:39 EDT
Reassigning to proper owner tla[AT]rasmil.dk

Note You need to log in before you can comment on or make changes to this bug.